# Command: arraylib::Mean

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    arraylib::Mean - Return mean of the elements in array.

Synopsis:

    [array] Mean -> number

Examples:

      [1 2 3 4] Mean -> 2.5

Description:

      Returns the sum of all elements in the array. The array is expected
      to contain only numbers, and is flattened before the computation.

Parameters:

      [array]: array of numbers

Remarks:

      The array must contain no other elements than numbers.
      The return type is always double.

Availability:

    library "arraylib"

Author:

    R Kupper

FirstVersion:

    17-sep-2007

SeeAlso:

- arraylib::Product
- arraylib::Sum
- arraylib::SDev
- arraylib::Var

Source:

    /opt/conda/conda-bld/nest_1512420111240/work/nest-2.12.0/lib/sli/arraylib.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative